Subject: Re: [PATCH] net: add destructor for skb data.

From: Evgeniy Polyakov <[email-masked]>
Date: Sun, 6 Apr 2008 13:20:18 +0400

Hi Rusty.

On Sun, Apr 06, 2008 at 01:20:59PM +1000, Rusty Russell ([email-masked]) wrote:
>     I don't think so.  For a start, the skb destructor is called while the skb 
> is still in the socket queue (ie. the data is still live).  Secondly, the 
> original skb can be freed while clones still reference the data.

That is what it is for - to remove data from any queues and free it.
One can check if skb was cloned and do not perform some steps, instead
call old destructor. Destructor for the last clone will cleanup whatever
is needed. Thoughts?

Actually I'm not that opposed agains additional destructor, I just want
to bring attention to this topic, since this is second time some steps
are going to be setup for the destruction time, so I want a clear
solution :)

-- 
	Evgeniy Polyakov